Nová LTS verze Ubuntu nepodporuje uzavřený ovladač grafických karet AMD

Některé zahraniční servery (omgubuntu, phoronix, ... ) upozorňují na skutečnost, že se nadcházející LTS verze UBUNTU a jeho derivátů zachová poměrně macešsky k uživatelům grafických karet AMD / ATI. 

Distribuce nabídne pouze svobodné ovladače a uzavřené Catalysty nebude možné nainstalovat ani ze stránek AMD ani za pomoci alternativních repozitářů. Pokud dojde k povýšení operačního systému na verzi 16.04, tak budou nesvobodné ovladače odstraněny.

Do léta by měla společnost AMD zapracovat na nových Catalystech pro Linux, nicméně by bylo naivní předpokládat, že se výkonově alespoň přiblíží původním uzavřeným driverům. Do té doby mají hráči s grafickými kartami AMD prakticky nulovou šanci zprovoznit jakoukoliv novější hru. 

Články poukazují zejména na to, že:

  • Svobodné ovladače ani z daleka nedosahují výkonu uzavřených  fglrx
  • Nejsou podporovány OpenGL 4.3 a vyšší (pro jádra 4.5.xx  a vyšší)
  • Dle mého testu nejsou podporovány ani OpenGL 4.0 (jádro 4.4.0-18-generic)

Je tomu ale opravdu tak? Rozhodl jsem se záležitost otestovat na obstarožním notebooku s i7čkou a grafikou AMD HD6770M (Specifikace HW i Software zde).

A zde nabízím výsledky s Xubuntu 16.04 – 64bit build ze dne 8.4.2016:

Po instalaci nástroj Dodatečné ovladače nenabízí instalaci uzavřených ovladačů pro VGA AMD/ATI

Po instalaci jsou pro VGA použity svobodné ovladače nástroj Dodatečné ovladače uživatelům fglrx ovladač nenabídne

Stažení ovladačů ze stránek výrobce
Ze stránek AMD lze stáhnout a nainstalovat Catalysty pro Ubuntu 14.04

Instalace nehlásí žádné chyby
Instalace se zdařila a žádné protesty se nekonaly - zde se nainstaloval Catalyst Control Center

Zdá se, že se zadařilo

Vypadá to, že se dobrá věc podařila.

Bohužel to nefunguje

Jenomže zdání klame, ovladač nepracuje korektně – údajně není kompatibilní s novou verzí Xorg

Ovládací centrum AMD se bez chybových hlášek nainstaluje, ale jeví se, jako by nikdy instalováno nebylo. Také jsem nenašel žádný alternativní repozitář s funkčními fglrx ovladači pro Xenial.

Svobodné ovladače jsou pro hráče také zcela nedostačující a to jak z hlediska výkonu, tak z pohledu podporovaných technologií.

Metro 2033 REDUX se svobodným ovladačem nespustíte

Sbobodný ovladač toho moc neumí - Metro 2033 REDUX si s ním nezahrajete

Na Bioshock Infinite také můžete zapomenout Také na Bioshock Infinite a vůbec všechny moderní hry můžete rovnou zapomenout!

Závěrem lze shrnout, že minimálně do léta to bude s hraním na Ubuntu 16.04 LTS a s grafickými kartami AMD/ATI špatné a ani potom to nevidím příliš optimisticky. Hráčům s „červenými grafikami“ tedy doporučuji na novou verzi Ubuntu zatím nepřecházet!

PřílohaVelikost
Soubor Popis Notebooku HW i Software26.34 KB

Komentáře

Tak tohle hodně nových uživatelů spíš odradí (pochybuji, že by hledali starší a ještě podporované LTS verze). Mě osobně by ale zajímalo, jestli mi po upgradu bude ungovat internet. Když jsem zkoušel povýšit z Ubuntu 15.04 na 15.10 tak po upgradu mi nešel internet a síťové připojení (Wi-Fi ani LAN) ani nešlo vytvořit.